OpenVDB: RootNode< ChildT >::BaseIter< RootT > Class Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
RootNode< ChildT >::BaseIter< RootT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for RootNode< ChildT >::BaseIter< RootT >:

## Public Member Functions
| operator bool () const
uint32_t | pos () const
void | next ()
TileT * | tile () const
CoordType | getOrigin () const
CoordType | getCoord () const

## Protected Types
using | DataT = typename match_const< DataType, RootT >::type
using | TileT = typename match_const< Tile, RootT >::type

## Protected Member Functions
| BaseIter (DataT *data=nullptr, uint32_t n=0)

## Protected Attributes
DataT * | mData
uint32_t | mPos
uint32_t | mSize

## Member Typedef Documentation

## ◆ DataT

template<typename ChildT >
template<typename RootT >

using DataT = typename match_const<DataType, RootT>::type
| protected

## ◆ TileT

template<typename ChildT >
template<typename RootT >

using TileT = typename match_const<Tile, RootT>::type
| protected

## Constructor & Destructor Documentation

## ◆ BaseIter()

template<typename ChildT >
template<typename RootT >

BaseIter | ( | DataT * | data = `nullptr`,
|  | uint32_t | n = `0`
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT >
template<typename RootT >

CoordType getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT >
template<typename RootT >

CoordType getOrigin | ( |  | ) | const
| inline

## ◆ next()

template<typename ChildT >
template<typename RootT >

void next | ( |  | ) |
| inline

## ◆ operator bool()

template<typename ChildT >
template<typename RootT >

operator bool | ( |  | ) | const
| inline

## ◆ pos()

template<typename ChildT >
template<typename RootT >

uint32_t pos | ( |  | ) | const
| inline

## ◆ tile()

template<typename ChildT >
template<typename RootT >

TileT * tile | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mData

template<typename ChildT >
template<typename RootT >

DataT* mData
| protected

## ◆ mPos

template<typename ChildT >
template<typename RootT >

uint32_t mPos
| protected

## ◆ mSize

template<typename ChildT >
template<typename RootT >

uint32_t mSize
| protected